# coding: utf-8

# flake8: noqa

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "1.0.0"

# import apis into sdk package
from magneto_api_client.api.agents_api import AgentsApi
from magneto_api_client.api.audit_log_api import AuditLogApi
from magneto_api_client.api.blueprints_api import BlueprintsApi
from magneto_api_client.api.entities_api import EntitiesApi
from magneto_api_client.api.flow_runs_api import FlowRunsApi
from magneto_api_client.api.flows_api import FlowsApi
from magneto_api_client.api.health_check_api import HealthCheckApi
from magneto_api_client.api.legacy_plugins_api import LegacyPluginsApi
from magneto_api_client.api.legacy_users_api import LegacyUsersApi
from magneto_api_client.api.model_query_api import ModelQueryApi
from magneto_api_client.api.organizations_api import OrganizationsApi
from magneto_api_client.api.scorecards_api import ScorecardsApi
from magneto_api_client.api.suggestions_api import SuggestionsApi
from magneto_api_client.api.tasks_api import TasksApi
from magneto_api_client.api.time_series_api import TimeSeriesApi

# import ApiClient
from magneto_api_client.api_response import ApiResponse
from magneto_api_client.api_client import ApiClient
from magneto_api_client.configuration import Configuration
from magneto_api_client.exceptions import OpenApiException
from magneto_api_client.exceptions import ApiTypeError
from magneto_api_client.exceptions import ApiValueError
from magneto_api_client.exceptions import ApiKeyError
from magneto_api_client.exceptions import ApiAttributeError
from magneto_api_client.exceptions import ApiException

# import models into sdk package
from magneto_api_client.models.action_details import ActionDetails
from magneto_api_client.models.action_phase import ActionPhase
from magneto_api_client.models.agent_create import AgentCreate
from magneto_api_client.models.agent_read import AgentRead
from magneto_api_client.models.agent_status import AgentStatus
from magneto_api_client.models.agent_type import AgentType
from magneto_api_client.models.aggregation import Aggregation
from magneto_api_client.models.aggregation_calculate_by import AggregationCalculateBy
from magneto_api_client.models.aggregation_filter import AggregationFilter
from magneto_api_client.models.aggregation_function import AggregationFunction
from magneto_api_client.models.audit_log import AuditLog
from magneto_api_client.models.audit_log_create import AuditLogCreate
from magneto_api_client.models.blueprint_create import BlueprintCreate
from magneto_api_client.models.blueprint_options import BlueprintOptions
from magneto_api_client.models.blueprint_properties_group import BlueprintPropertiesGroup
from magneto_api_client.models.blueprint_read import BlueprintRead
from magneto_api_client.models.blueprint_relation import BlueprintRelation
from magneto_api_client.models.blueprint_update import BlueprintUpdate
from magneto_api_client.models.calculation_property import CalculationProperty
from magneto_api_client.models.calculation_property_method import CalculationPropertyMethod
from magneto_api_client.models.calculation_property_output_type import CalculationPropertyOutputType
from magneto_api_client.models.condition import Condition
from magneto_api_client.models.cursor_page_agent_read import CursorPageAgentRead
from magneto_api_client.models.cursor_page_any import CursorPageAny
from magneto_api_client.models.cursor_page_audit_log import CursorPageAuditLog
from magneto_api_client.models.cursor_page_blueprint_read import CursorPageBlueprintRead
from magneto_api_client.models.cursor_page_entity_read_extended import CursorPageEntityReadExtended
from magneto_api_client.models.cursor_page_flow_read import CursorPageFlowRead
from magneto_api_client.models.cursor_page_flow_run_read import CursorPageFlowRunRead
from magneto_api_client.models.cursor_page_scorecard_read import CursorPageScorecardRead
from magneto_api_client.models.cursor_page_scorecard_result_read import CursorPageScorecardResultRead
from magneto_api_client.models.cursor_page_suggestion_read import CursorPageSuggestionRead
from magneto_api_client.models.entity import Entity
from magneto_api_client.models.entity_calculation_property_all_intervals import EntityCalculationPropertyAllIntervals
from magneto_api_client.models.entity_calculation_property_base import EntityCalculationPropertyBase
from magneto_api_client.models.entity_calculation_property_read import EntityCalculationPropertyRead
from magneto_api_client.models.entity_create import EntityCreate
from magneto_api_client.models.entity_read import EntityRead
from magneto_api_client.models.entity_read_extended import EntityReadExtended
from magneto_api_client.models.entity_reference_property import EntityReferenceProperty
from magneto_api_client.models.entity_relation import EntityRelation
from magneto_api_client.models.entity_scorecards_insights import EntityScorecardsInsights
from magneto_api_client.models.entity_search_query import EntitySearchQuery
from magneto_api_client.models.entity_source import EntitySource
from magneto_api_client.models.entity_source_type import EntitySourceType
from magneto_api_client.models.entity_update import EntityUpdate
from magneto_api_client.models.entity_validation_response import EntityValidationResponse
from magneto_api_client.models.event_action import EventAction
from magneto_api_client.models.event_resource import EventResource
from magneto_api_client.models.fetch_status import FetchStatus
from magneto_api_client.models.filter_op import FilterOp
from magneto_api_client.models.flow_action import FlowAction
from magneto_api_client.models.flow_action_type import FlowActionType
from magneto_api_client.models.flow_create import FlowCreate
from magneto_api_client.models.flow_output import FlowOutput
from magneto_api_client.models.flow_read import FlowRead
from magneto_api_client.models.flow_run_create import FlowRunCreate
from magneto_api_client.models.flow_run_read import FlowRunRead
from magneto_api_client.models.flow_run_update import FlowRunUpdate
from magneto_api_client.models.flow_trigger import FlowTrigger
from magneto_api_client.models.flow_trigger_event_data import FlowTriggerEventData
from magneto_api_client.models.flow_trigger_type import FlowTriggerType
from magneto_api_client.models.flow_type import FlowType
from magneto_api_client.models.flow_update import FlowUpdate
from magneto_api_client.models.http_validation_error import HTTPValidationError
from magneto_api_client.models.heartbeat import Heartbeat
from magneto_api_client.models.insights_metadata import InsightsMetadata
from magneto_api_client.models.json_schema import JsonSchema
from magneto_api_client.models.log_entry import LogEntry
from magneto_api_client.models.log_entry_level import LogEntryLevel
from magneto_api_client.models.organization_create import OrganizationCreate
from magneto_api_client.models.organization_read import OrganizationRead
from magneto_api_client.models.organization_status import OrganizationStatus
from magneto_api_client.models.organization_view_config_create import OrganizationViewConfigCreate
from magneto_api_client.models.organization_view_config_read import OrganizationViewConfigRead
from magneto_api_client.models.origin_type import OriginType
from magneto_api_client.models.plugin_capability import PluginCapability
from magneto_api_client.models.plugin_legacy_create import PluginLegacyCreate
from magneto_api_client.models.plugin_legacy_file_to_check import PluginLegacyFileToCheck
from magneto_api_client.models.plugin_legacy_files_to_check_update import PluginLegacyFilesToCheckUpdate
from magneto_api_client.models.plugin_legacy_read import PluginLegacyRead
from magneto_api_client.models.plugin_legacy_update import PluginLegacyUpdate
from magneto_api_client.models.plugin_legacy_validate_query_input import PluginLegacyValidateQueryInput
from magneto_api_client.models.plugin_legacy_validate_query_output import PluginLegacyValidateQueryOutput
from magneto_api_client.models.plugin_token_read import PluginTokenRead
from magneto_api_client.models.query_data_format import QueryDataFormat
from magneto_api_client.models.query_payload import QueryPayload
from magneto_api_client.models.rank_entities import RankEntities
from magneto_api_client.models.rank_insight import RankInsight
from magneto_api_client.models.reference_property import ReferenceProperty
from magneto_api_client.models.reference_property_create_or_update import ReferencePropertyCreateOrUpdate
from magneto_api_client.models.referenceproperties_value import ReferencepropertiesValue
from magneto_api_client.models.rule_insight import RuleInsight
from magneto_api_client.models.rule_results import RuleResults
from magneto_api_client.models.run_output import RunOutput
from magneto_api_client.models.schema_properties import SchemaProperties
from magneto_api_client.models.scorecard_create import ScorecardCreate
from magneto_api_client.models.scorecard_insights import ScorecardInsights
from magneto_api_client.models.scorecard_insights_data import ScorecardInsightsData
from magneto_api_client.models.scorecard_rank import ScorecardRank
from magneto_api_client.models.scorecard_read import ScorecardRead
from magneto_api_client.models.scorecard_result_read import ScorecardResultRead
from magneto_api_client.models.scorecard_result_rule import ScorecardResultRule
from magneto_api_client.models.scorecard_result_update import ScorecardResultUpdate
from magneto_api_client.models.scorecard_rule import ScorecardRule
from magneto_api_client.models.scorecard_update import ScorecardUpdate
from magneto_api_client.models.service_account_type import ServiceAccountType
from magneto_api_client.models.source_type import SourceType
from magneto_api_client.models.status_phase import StatusPhase
from magneto_api_client.models.suggestion_apply import SuggestionApply
from magneto_api_client.models.suggestion_apply_bulk import SuggestionApplyBulk
from magneto_api_client.models.suggestion_apply_result import SuggestionApplyResult
from magneto_api_client.models.suggestion_create import SuggestionCreate
from magneto_api_client.models.suggestion_read import SuggestionRead
from magneto_api_client.models.suggestion_update import SuggestionUpdate
from magneto_api_client.models.tag import Tag
from magneto_api_client.models.target_type import TargetType
from magneto_api_client.models.task_create import TaskCreate
from magneto_api_client.models.task_data import TaskData
from magneto_api_client.models.task_error_info import TaskErrorInfo
from magneto_api_client.models.task_read import TaskRead
from magneto_api_client.models.task_status import TaskStatus
from magneto_api_client.models.task_type import TaskType
from magneto_api_client.models.time_interval import TimeInterval
from magneto_api_client.models.timeseries_datapoint import TimeseriesDatapoint
from magneto_api_client.models.timeseries_inner_inner import TimeseriesInnerInner
from magneto_api_client.models.timeseries_query import TimeseriesQuery
from magneto_api_client.models.timeseries_write import TimeseriesWrite
from magneto_api_client.models.type import Type
from magneto_api_client.models.unmapped_property_value import UnmappedPropertyValue
from magneto_api_client.models.user_entity_update import UserEntityUpdate
from magneto_api_client.models.user_legacy_invite_create import UserLegacyInviteCreate
from magneto_api_client.models.user_legacy_read import UserLegacyRead
from magneto_api_client.models.user_legacy_role_type import UserLegacyRoleType
from magneto_api_client.models.user_legacy_status import UserLegacyStatus
from magneto_api_client.models.user_legacy_update import UserLegacyUpdate
from magneto_api_client.models.user_legacy_view_config_create import UserLegacyViewConfigCreate
from magneto_api_client.models.user_legacy_view_config_read import UserLegacyViewConfigRead
from magneto_api_client.models.user_token_create import UserTokenCreate
from magneto_api_client.models.validation_error import ValidationError
from magneto_api_client.models.validation_error_loc_inner import ValidationErrorLocInner
from magneto_api_client.models.value import Value
